/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * The list of blob containers associated with the storage account attached to
 * the Data Lake Analytics account.
 */
class ListStorageContainersResult extends Array {
  /**
   * Create a ListStorageContainersResult.
   * @member {string} [nextLink] the link (url) to the next page of results.
   */
  constructor() {
    super();
  }

  /**
   * Defines the metadata of ListStorageContainersResult
   *
   * @returns {object} metadata of ListStorageContainersResult
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'ListStorageContainersResult',
      type: {
        name: 'Composite',
        className: 'ListStorageContainersResult',
        modelProperties: {
          value: {
            required: false,
            readOnly: true,
            serializedName: '',
            type: {
              name: 'Sequence',
              element: {
                  required: false,
                  serializedName: 'StorageContainerElementType',
                  type: {
                    name: 'Composite',
                    className: 'StorageContainer'
                  }
              }
            }
          },
          nextLink: {
            required: false,
            readOnly: true,
            serializedName: 'nextLink',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = ListStorageContainersResult;
