/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Data Lake Analytics firewall rule update parameters
 *
 */
class UpdateFirewallRuleParameters {
  /**
   * Create a UpdateFirewallRuleParameters.
   * @member {string} [startIpAddress] the start IP address for the firewall
   * rule. This can be either ipv4 or ipv6. Start and End should be in the same
   * protocol.
   * @member {string} [endIpAddress] the end IP address for the firewall rule.
   * This can be either ipv4 or ipv6. Start and End should be in the same
   * protocol.
   */
  constructor() {
  }

  /**
   * Defines the metadata of UpdateFirewallRuleParameters
   *
   * @returns {object} metadata of UpdateFirewallRuleParameters
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'UpdateFirewallRuleParameters',
      type: {
        name: 'Composite',
        className: 'UpdateFirewallRuleParameters',
        modelProperties: {
          startIpAddress: {
            required: false,
            serializedName: 'properties.startIpAddress',
            type: {
              name: 'String'
            }
          },
          endIpAddress: {
            required: false,
            serializedName: 'properties.endIpAddress',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = UpdateFirewallRuleParameters;
