/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * Data Lake Analytics catalog credential update parameters.
 *
 */
class DataLakeAnalyticsCatalogCredentialUpdateParameters {
  /**
   * Create a DataLakeAnalyticsCatalogCredentialUpdateParameters.
   * @member {string} [password] the current password for the credential and
   * user with access to the data source. This is required if the requester is
   * not the account owner.
   * @member {string} [newPassword] the new password for the credential and
   * user with access to the data source.
   * @member {string} [uri] the URI identifier for the data source this
   * credential can connect to in the format <hostname>:<port>
   * @member {string} [userId] the object identifier for the user associated
   * with this credential with access to the data source.
   */
  constructor() {
  }

  /**
   * Defines the metadata of DataLakeAnalyticsCatalogCredentialUpdateParameters
   *
   * @returns {object} metadata of DataLakeAnalyticsCatalogCredentialUpdateParameters
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'DataLakeAnalyticsCatalogCredentialUpdateParameters',
      type: {
        name: 'Composite',
        className: 'DataLakeAnalyticsCatalogCredentialUpdateParameters',
        modelProperties: {
          password: {
            required: false,
            serializedName: 'password',
            type: {
              name: 'String'
            }
          },
          newPassword: {
            required: false,
            serializedName: 'newPassword',
            type: {
              name: 'String'
            }
          },
          uri: {
            required: false,
            serializedName: 'uri',
            type: {
              name: 'String'
            }
          },
          userId: {
            required: false,
            serializedName: 'userId',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = DataLakeAnalyticsCatalogCredentialUpdateParameters;
