/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * A Data Lake Analytics catalog U-SQL dependency information item.
 *
 */
class USqlAssemblyDependencyInfo {
  /**
   * Create a USqlAssemblyDependencyInfo.
   * @member {object} [entityId] the EntityId of the dependency.
   * @member {object} [entityId.name] the name of the external table associated
   * with this database, schema and table.
   * @member {string} [entityId.name.firstPart] the name of the table
   * associated with this database and schema.
   * @member {string} [entityId.name.secondPart] the name of the table
   * associated with this database and schema.
   * @member {string} [entityId.name.thirdPart] the name of the table
   * associated with this database and schema.
   * @member {string} [entityId.name.server] the name of the table associated
   * with this database and schema.
   * @member {uuid} [entityId.version] the version of the external data source.
   */
  constructor() {
  }

  /**
   * Defines the metadata of USqlAssemblyDependencyInfo
   *
   * @returns {object} metadata of USqlAssemblyDependencyInfo
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'USqlAssemblyDependencyInfo',
      type: {
        name: 'Composite',
        className: 'USqlAssemblyDependencyInfo',
        modelProperties: {
          entityId: {
            required: false,
            serializedName: 'entityId',
            type: {
              name: 'Composite',
              className: 'EntityId'
            }
          }
        }
      }
    };
  }
}

module.exports = USqlAssemblyDependencyInfo;
